/* ==================== GOOGLE FONTS ==================== */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap");

/* ==================== ALL WEBSITE ==================== */
*,
::before,
::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

html {
  font-size: 62.5%;
}

h2 {
  font-size: 5rem;
  font-weight: 500;
  color: #000;
  position: relative;
  line-height: 1.3;
  text-align: center;
  margin-bottom: 12rem;
  padding-top: 15rem;
}

h2::after {
  content: "";
  position: absolute;
  top: calc(100% + 1.5rem);
  height: 5px;
  width: 3rem;
  background: #aa88ff;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 5px;
}

/* ==================== ALL SECTIONS ==================== */
section {
  height: 100vh;
  width: 100%;
  overflow-x: hidden;
}

/* ==================== NAVBAR ==================== */
#header {
  display: flex;
  position: fixed;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 70px;
  background: rgba(0, 0, 0, 0.75);
  z-index: 50;
}

#logo {
  margin-left: 5rem;
  line-height: 7rem;
  font-size: 3rem;
  font-weight: 600;
  text-decoration: none;
  color: #eee;
  float: left;
  z-index: 99;
}

#menu {
  list-style: none;
  float: right;
  gap: 0.5rem;
  margin: 0;
  padding-right: 30px;
  display: flex;
}

#menu a {
  display: block;
  line-height: 7rem;
  color: #fbfbfb;
  padding: 12px 30px;
  text-decoration: none;
  font-size: 1.6rem;
  letter-spacing: 0.03rem;
  font-weight: 600;
  text-transform: uppercase;
}

#menu a:hover {
  color: #aa88ff;
}

#btn-mobile {
  display: none;
}

@media (max-width: 700px) {
  #logo {
    margin-left: 3rem;
  }

  #menu {
    display: block;
    position: absolute;
    width: 100%;
    top: 70px;
    right: 0px;
    background: rgba(255, 255, 255, 0.9);
    height: 0;
    transition: 0.6s;
    z-index: 1000;
    visibility: hidden;
    overflow-y: hidden;
  }

  #navbar.active #menu {
    height: calc(100vh - 70px);
    visibility: visible;
    overflow-y: auto;
  }

  #menu a {
    padding: 1rem 0;
    margin: 0 3rem;
    border-bottom: 2px solid rgba(255, 255, 255, 0.05);
    color: #333;
  }

  #menu a:hover {
    border-left: 0.3rem solid rgb(0, 0, 1);
    padding-left: 2rem;
    transition: 0.5s ease;
  }

  #btn-mobile {
    display: flex;
    padding: 3rem;
    font-size: 1.6rem;
    border: none;
    background: none;
    color: #eee;
    gap: 0.5rem;
    cursor: pointer;
  }

  #hamburguer {
    display: block;
    border-top: 2.5px solid #eee;
    width: 25px;
    cursor: pointer;
  }

  #hamburguer::after,
  #hamburguer::before {
    content: "";
    display: block;
    width: 25px;
    height: 2.5px;
    background: currentColor;
    margin-top: 5px;
    transition: 0.3s;
    position: relative;
  }

  #navbar.active #hamburguer {
    border-top-color: transparent;
  }
  #navbar.active #hamburguer::before {
    transform: rotate(135deg);
  }
  #navbar.active #hamburguer::after {
    transform: rotate(-135deg);
    top: -7px;
  }
}

/* ==================== WELCOME SECTION ==================== */
#welcome-section {
  background: url(/img/bg1.svg) no-repeat;
  background-size: cover;
  background-position: left;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: #fbfbfb;
  z-index: 1;
}

#welcome-section p {
  position: relative;
  font-size: 3rem;
  font-weight: 200;
}

#welcome-section p:first-child {
  color: #aa88ff;
}

#welcome-section h1 {
  font-size: 5rem;
  font-weight: 600;
}

#welcome-section a {
  display: inline-block;
  margin-top: 5rem;
  font-size: 2rem;
  letter-spacing: 0.05rem;
  color: #333;
  text-transform: uppercase;
  font-weight: 600;
  text-decoration: none;
  background-color: #fff;
  width: 18rem;
  height: 6rem;
  text-align: center;
  line-height: 6rem;
  border-radius: 0.4rem;
}

@media (max-width: 950px) {
  #welcome-section p {
    font-size: 2.5rem;
  }

  #welcome-section h1 {
    font-size: 4rem;
    font-weight: 600;
  }

  #welcome-section a {
    margin-top: 4rem;
    font-size: 1.5rem;
    width: 14rem;
    height: 4rem;
    line-height: 4rem;
  }
}

/* ==================== SOBRE ==================== */

#sobre {
  max-width: 120rem;
  margin: auto;
  width: 92%;
  background-color: #fff;
}

#sobre h3 {
  font-weight: 700;
  font-size: 2.8rem;
  margin-bottom: 3rem;
}

#sobre__conteudo {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 15rem;
}

.sobre__conteudo-principal-detalhe-parag {
  color: #777;
  font-size: 1.8rem;
  display: block;
  margin-bottom: 2rem;
}

.sobre__conteudo-principal-detalhe-parag:last-child {
  margin-bottom: 4rem;
}

.sobre__conteudo-principal-detalhe-parag strong {
  color: #000;
}

#sobre .botao {
  background-color: #aa88ff;
  color: #333;
  font-size: 2rem;
  padding: 1.5rem 5rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  display: inline-block;
  font-weight: 600;
  border-radius: 5px;
  text-decoration: none;
}

#sobre .sobre__tecnologias-skills {
  display: flex;
  flex-wrap: wrap;
}

#sobre .sobre__tecnologias-skills-skill {
  padding: 1.5rem 2.5rem;
  margin-bottom: 1.5rem;
  margin-right: 1.5rem;
  font-size: 1.8rem;
  background: rgba(153, 153, 153, 0.2);
  border-radius: 5px;
  font-weight: 600;
  color: #555;
}

@media (max-width: 1300px) {
  h2 {
    font-size: 4rem;
  }

  #sobre {
    max-width: 120rem;
  }

  #sobre__conteudo {
    grid-gap: 10rem;
  }

  .sobre__conteudo-principal-detalhe-parag {
    font-size: 1.4rem;
  }

  #sobre .botao {
    font-size: 1.5rem;
    padding: 1rem 3rem;
  }

  #sobre .sobre__tecnologias-skills-skill {
    padding: 1rem 2rem;
    margin-bottom: 1rem;
    margin-right: 1rem;
    font-size: 1.4rem;
  }
}

@media (max-width: 950px) {
  #sobre {
    max-width: 120rem;
  }

  #sobre h3 {
    font-weight: 700;
    font-size: 2rem;
    margin-bottom: 2.5rem;
  }

  #sobre__conteudo {
    grid-template-columns: 1fr;
    grid-gap: 5rem;
  }
  .sobre__conteudo-principal-detalhe-parag {
    font-size: 1.2rem;
  }

  #sobre .botao {
    font-size: 1.5rem;
    padding: 1rem 2rem;
  }

  #sobre .sobre__tecnologias-skills-skill {
    padding: 1rem 1.5rem;
    margin-bottom: 0.7rem;
    margin-right: 0.7rem;
    font-size: 1rem;
  }
}

/* ==================== PROJECTS ==================== */
#projects {
  background-color: #e5e5e5;
}

#projects h2 {
  margin-bottom: 4.5rem;
}

#projects .project-intro {
  margin-bottom: 10rem;
  text-align: center;
  font-size: 1.8rem;
  font-weight: 600;
  margin-bottom: 10rem;
}

#projects .project-grid {
  display: flex;
  position: relative;
  width: 100%;
  max-width: 128rem;
  margin: 0 auto;
  margin-bottom: 6rem;
  overflow-x: auto;
  overflow-y: hidden;
}

#projects .project-content {
  flex-shrink: 0;
  background-size: cover;
  padding: 20rem 0 0;
  max-width: 60ch;
  color: #fff;
  box-shadow: 1px 1px 2px rgb(0 0 0 / 50%);
  border-radius: 0.5rem;
  overflow: hidden;
  transition: transform 500ms ease;
  object-fit: cover;
}

#project-rango {
  background-image: url(/img/rangotimepreview.png);
  
}

#project-hortifruti {
  background-image: url(/img/cartreact.png);
}


.project-content + .project-content {
  margin-left: 4rem;
}

#projects .project-content:hover {
  transform: scale(1.05);
}

#projects .project-tile {
  --padding: 1.5rem;
  padding: var(--padding);
  background: linear-gradient(
    hsl(0 0% 0% / 0),
    hsl(0 0% 0% / 0.5) 10%,
    hsl(0 0% 0% / 1)
  );
  transform: translateY(65%);
  transition: transform 500ms ease;
}

#projects .project-content:hover .project-tile {
  transform: translateY(0);
  transition-delay: 500ms;
}

#projects .project-tile > *:not(.project-title) {
  opacity: 0;
  transition: opacity 500ms linear;
}

#projects .project-content:hover .project-tile > *:not(.project-title) {
  opacity: 1;
  transition-delay: 1000ms;
}

#projects .project-title {
  position: relative;
  width: max-content;
  font-size: 2rem;
  font-weight: 600;
}

#projects .project-title::after {
  content: "";
  position: absolute;
  height: 4px;
  width: calc(100% + var(--padding));
  left: calc(var(--padding) * -1);
  bottom: -0.2rem;
  background: #aa88ff;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 500ms ease;
}

#projects .project-content:hover .project-title::after {
  transform: scaleX(1);
}

#projects .project-body {
  font-size: 1.6rem;
  font-weight: 400;
  color: rgba(255, 255, 255, 0.85);
  padding: 1.5rem 0;
}

#projects .project-button {
  cursor: pointer;
  margin-top: 1rem;
  background-color: #aa88ff;
  color: #333;
  font-size: 1.8rem;
  padding: 0.5rem 1.25rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  display: inline-block;
  font-weight: 600;
  border-radius: 0.25rem;
  text-decoration: none;
}

#projects .project-button:hover,
#projects .project-button:focus {
  background-color: #e5e5e5;
}

#projects .project-image {
  height: calc(100% - 6.8rem);
  width: 100%;
  object-fit: cover;
}

/* ==================== CONTACT ==================== */
#contact {
  background: url(/img/bgcontato.svg) no-repeat;
  background-size: cover;
  background-position: left;
}

#contact h2 {
  color: #eee;
  margin-bottom: 4.5rem;
}

#contact .conversa {
  text-align: center;
  color: #eee;
  font-size: 1.8rem;
  font-weight: 600;
  margin-bottom: 10rem;
}

#contato__conteudo {
  max-width: 120rem;
  margin: auto;
  width: 92%;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 10rem;
}

.contato__conteudo-principal-parag {
  color: #eee;
  font-weight: 300;
  font-size: 1.8rem;
  display: block;
  margin-bottom: 3rem;
}

.email {
  display: flex;
}

.contato__conteudo-principal-email {
  color: #fff;
  font-weight: 500;
  font-size: 2rem;
  margin-bottom: 3rem;
}

#contact .redes {
  height: 5rem;
  display: flex;
  align-items: center;
}
#contact .ico:first-child {
  padding-top: 0.2rem;
}

#contact .ico {
  width: 3rem;
  height: 3rem;
  margin-right: 3rem;
}

/* ================== FORM ================= */
/*  */

ul {
  list-style: none;
  padding: 0;
  margin-left: 15rem;
}

input,
textarea {
  font: 1.3rem sans-serif;
  width: 36rem;
  box-sizing: border-box;
  border: 1px solid #999;
}

input:focus,
textarea:focus {
  border-color: #aa88ff;
}

input {
  padding-left: 1rem;
  height: 4rem;
  margin-bottom: 3rem;
}

textarea {
  padding: 1rem 0 0 1rem;
  height: 15em;
}

.enviar {
  margin-top: 25px;
  width: 36rem;
  height: 6rem;
  color: #333;
  font-weight: 600;
  font-size: 2rem;
  text-transform: uppercase;
  background-color: #aa88ff;
  border-radius: 0.5em;
  border: 0;
  padding: 5px;
  cursor: pointer;
}

@media (max-width: 1000px) {
  #contact .conversa {
    margin-bottom: 5rem;
  }

  #contato__conteudo {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    grid-gap: 5rem;
  }

  .contato__conteudo-principal-parag {
    font-size: 1.4rem;
    margin-bottom: 2rem;
  }

  .contato__conteudo-principal-email {
    font-size: 1.5rem;
    margin-bottom: 3rem;
  }

  #contact .redes {
    height: 4rem;
  }
  #contact .ico:first-child {
    padding-top: 0.2rem;
  }

  #contact .ico {
    width: 2rem;
    height: 2rem;
  }

  /* ================== FORM ================= */
  /*  */

  ul {
    margin: 0 auto;
  }

  input,
  textarea {
    font: 1.1rem sans-serif;
  }

  input {
    padding-left: 1rem;
    height: 3rem;
    margin-bottom: 2rem;
  }

  textarea {
    height: 10em;
  }

  .enviar {
    margin-top: 20px;
    height: 4rem;
    font-size: 1.5rem;
    padding: 5px;
  }
}
